lxpanel-dev_0.10.0-2_i386.deb


Advertisement

Description

lxpanel-dev - LXDE panel (plugins development files)

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename lxpanel-dev_0.10.0-2_i386.deb
Package name lxpanel-dev
Package version 0.10.0
Package release 2
Package architecture i386
Package type deb
Category uitoolkit::gtk x11
Homepage http://www.lxde.org/
License -
Maintainer Debian LXDE Maintainers <pkg-lxde-maintainers@lists.alioth.debian.org>
Download size 29.21 KB
Installed size 78.00 KB
LXPanel is a GUI application for the Lightweight X11 Desktop Environment
(LXDE).
This package contains header files required for plugins development and
depends on other relevant packages for such task.

Alternatives

Package Version Architecture Repository
lxpanel-dev_0.10.0-2_amd64.deb 0.10.0 amd64 Debian Main
lxpanel-dev - - -

Requires

Name Value
libfm-gtk-dev >= 1.2.0
libgtk2.0-dev -
lxpanel = 0.10.0-2

Replaces

Name Value
lxpanel << 0.8.2

Download

Type URL
Mirror ftp.br.debian.org
Binary Package lxpanel-dev_0.10.0-2_i386.deb
Source Package lxpanel

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lxpanel-dev deb package:
    # sudo apt-get install lxpanel-dev

Files

Path
/usr/include/lxpanel/conf.h
/usr/include/lxpanel/icon-grid.h
/usr/include/lxpanel/misc.h
/usr/include/lxpanel/panel.h
/usr/include/lxpanel/plugin.h
/usr/lib/i386-linux-gnu/lxpanel/liblxpanel.so
/usr/lib/i386-linux-gnu/pkgconfig/lxpanel.pc
/usr/share/doc/lxpanel-dev/changelog.Debian.gz
/usr/share/doc/lxpanel-dev/changelog.gz
/usr/share/doc/lxpanel-dev/copyright

Changelog

2019-02-27 - Andriy Grytsenko <andrej@rep.kiev.ua>
lxpanel (0.10.0-2) unstable; urgency=medium
* Adding 50-fix-battery-notification.patch (Closes: #854643).
2019-02-27 - Andriy Grytsenko <andrej@rep.kiev.ua>
lxpanel (0.10.0-1) unstable; urgency=medium
* Merging upstream version 0.10.0 (Closes: #653459, #845555, #855025,
#904826, #918467).
* Adding libcurl build dependency.
* Changing priority extra to optional for lxpanel-dbg package.
* Changing http:// to https:// in URLs.
* Updating authors list in the copyright file.
* Updating obsolete tag debian-watch-may-check-gpg-signature in lintian
override to debian-watch-does-not-check-gpg-signature.
* Bump Standards-Version to 4.3.0.
* Bump debhelper compat to 11.
* Removing compression options for sources.
* Adding libnotify-bin and notification-daemon as Recommended (see #854643).
* Adding lxterminal as a preference over x-terminal-emulator (Closes:
#894828).
* Adding Multi-Arch tags to packages.
2017-01-20 - Andriy Grytsenko <andrej@rep.kiev.ua>
lxpanel (0.9.3-1) unstable; urgency=medium
* Merging upstream version 0.9.3.
2016-12-24 - Andriy Grytsenko <andrej@rep.kiev.ua>
lxpanel (0.9.2-1) unstable; urgency=medium
* Replacing deprecated iceweasel with firefox-esr in Suggests.
* Adding firefox as an alternative to firefox-esr: Ubuntu does not have a
package firefox-esr.
* Merging upstream version 0.9.2 (Closes: #845555).
* Adding lintian override for "allign" word which is an old compatibility key.
* Using https for VCS fields in debian/control file.
2016-11-21 - Andriy Grytsenko <andrej@rep.kiev.ua>
lxpanel (0.9.1-1) unstable; urgency=medium
[ Andriy Grytsenko ]
* Merging upstream version 0.9.1 (Closes: #845060).
* Using aumix-gtk on !linux-any instead of gnome-alsamixer.
[ Pino Toscano ]
* Making sure that ALSA is always disabled for non-Linux architectures.
2016-11-19 - Andriy Grytsenko <andrej@rep.kiev.ua>
lxpanel (0.9.0-1) unstable; urgency=medium
* Merging upstream version 0.9.0 (Closes: #831866, LP: #824071, #1445818,
#1474936, #1490098, #1537334, #1533308, #1539930, #1555649, #1581708,
#1583833, #1615326).
* Bump Standards-Version to 3.9.8.
* Updating debian/lxpanel.lintian-overrides for multiarch.
* Updating lxpanel.hints.5 manpage.
* Updating debian/lxpanel.README.Debian removing section about lxpanel-dev.
* Updating debian/copyright file.
2016-02-21 - Andriy Grytsenko <andrej@rep.kiev.ua>
lxpanel (0.8.2-1) unstable; urgency=low
* Adding x-terminal-emulator | pavucontrol | gnome-alsamixer as Recommended.
* Removing lxsession from Suggests, LXPanel does not use it in any way.
* Adding apport hook (taken from Ubuntu).
* Adding new lxpanel-dev package (Closes: #785660).
* Merging upstream version 0.8.2 (Closes: #786485, #784725, #801319).
* Bump Standards-Version to 3.9.7.
* Fixing spelling error in lxpanel.hints.5 manpage.
2015-05-06 - Andriy Grytsenko <andrej@rep.kiev.ua>
lxpanel (0.8.1-1) unstable; urgency=low
* Adding a notice about LXPanel plugins into lxpanel.README.Debian file.
* Merging upstream version 0.8.1.
* Changing Maintainer e-mail to Alioth based one.
* Resume uploads to unstable since the freeze has ended.
2014-12-08 - Andriy Grytsenko <andrej@rep.kiev.ua>
lxpanel (0.8.0-2) experimental; urgency=low
* Adding [linux-any] for libasound2-dev to fix FTBFS on non-linux.
2014-12-08 - Andriy Grytsenko <andrej@rep.kiev.ua>
lxpanel (0.8.0-1) experimental; urgency=low
* Merging upstream version 0.8.0 (Closes: #639729, #761971).
* Adding override_dh_auto_install rule to remove unused .la file.
* Adding libkeybinder-dev as build dependency.
* Disabling dh_makeshlibs for the private library as well.

See Also

Package Description
lxpanel_0.10.0-2_i386.deb LXDE panel
lxpolkit_0.5.4-1_i386.deb LXDE PolicyKit authentication agent
lxqt-about-l10n_0.14.1-1_all.deb Language package for lxqt-about
lxqt-about_0.14.1-1_i386.deb About screen for LXQt
lxqt-admin-l10n_0.14.1-1_all.deb Language package for lxqt-admin
lxqt-admin_0.14.1-1_i386.deb Admin tools for LXQt
lxqt-branding-debian_0.14.0.3_all.deb Debian branding for LXQt
lxqt-build-tools_0.6.0-2_all.deb Build tools for the LXQt desktop environment
lxqt-config-l10n_0.14.1-2_all.deb Language package for lxqt-config
lxqt-config_0.14.1-2_i386.deb LXQt system settings center
lxqt-core_29_all.deb Metapackage for the LXQt core
lxqt-globalkeys-l10n_0.14.1-1_all.deb Language package for lxqt-globalkeys
lxqt-globalkeys_0.14.1-1_i386.deb daemon used to register global keyboard shortcuts (appl.)
lxqt-notificationd-l10n_0.14.1-1_all.deb Language package for lxqt-notificationd
lxqt-notificationd_0.14.1-1_i386.deb LXQt notification daemon
Advertisement
Advertisement